//---------------------------------------------------------------------------

#ifndef ServerMainH
#define ServerMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ScktComp.hpp>
#include <ComCtrls.hpp>
#include <NMMSG.hpp>
#include <Psock.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include <NMFtp.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TServerSocket *Server;
  TGroupBox *GroupBox1;
  TListView *Nomes;
  TGroupBox *GroupBox2;
  TGroupBox *GroupBox3;
  TRichEdit *Log;
  TLabel *LabIP;
  TNMMSGServ *GetIP;
  TGroupBox *GroupBox4;
  TLabel *Label3;
  TComboBox *ComboBoxPorta;
  TLabel *Label5;
  TEdit *PSock;
  TButton *Button1;
  TButton *Button2;
  TFontDialog *Fonte;
  TPopupMenu *PopupMenu1;
  TMenuItem *TrocarFonte1;
  TGroupBox *GroupBox5;
  TEdit *SerialText;
  TLabel *Label1;
  TStaticText *SerialLab;
  TComboBox *CBStop;
  TComboBox *CBTamanho;
  TComboBox *CBParidade;
  TLabel *LStopbits;
  TLabel *LTamanho;
  TLabel *LParidade;
  TLabel *LBaudRate;
  TComboBox *CBRate;
  TNMFTP *FTP;
  TLabel *Label2;
  TEdit *FTPA;
  TLabel *Label4;
  TEdit *User;
  TEdit *Password;
  TLabel *Label6;
  void __fastcall ServerClientRead(TObject *Sender,
          TCustomWinSocket *Socket);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall TrocarFonte1Click(TObject *Sender);
  void __fastcall FTPConnect(TObject *Sender);
  void __fastcall FTPConnectionFailed(TObject *Sender);
  void __fastcall FTPDisconnect(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);

  bool Desmonta(String MSG, String &Cod, String &FromIP, String &FromName, String&Msg);
  void Adiciona(String Nome, String IP);
  void Remove(String IP);
  void EscreveLog(String Word, TColor Cor);

  bool WriteSerial(String Word);
  bool TestSerial();

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
